﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using MySql.Data.MySqlClient;

namespace CF_RW_03
{
    public partial class Form1 : Form
    {
        private string partId;
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (textBox1.Text.Equals(""))
            {
                MessageBox.Show("部品IDが入力されていません");
            }
            else
            {
                partId = textBox1.Text;
                //サーバーに接続
                string connstr = "userid=user1;password=user1;database=trace_db;Host=192.168.0.14";
                MySqlConnection conn = new MySqlConnection(connstr);
                conn.Open();

                //データを格納するテーブルを作成 
                DataTable dt = new DataTable();

                //SQL文と接続情報を指定し、データアダプタを作成
                string sqlMsg = "select name,mfg,date from part_tbl where partId='" + partId + "'";
                MySqlDataAdapter da = new MySqlDataAdapter(sqlMsg, conn);

                //データ取得 
                da.Fill(dt);

                //データ表示
                dataGrid1.DataSource = dt;
                //新しいDataGridTableStyleの作成
                DataGridTableStyle ts = new DataGridTableStyle();

                //DataGridTableStyleをDataGridに追加する
                //DataGridColumnStyleを追加せずにDataGridTableStyleを追加すると、
                //DataGridColumnStyleオブジェクトのコレクションが自動的に作成される
                dataGrid1.TableStyles.Add(ts);

                //Columnの幅を変更する
                dataGrid1.TableStyles[0].GridColumnStyles[0].Width = 75;
                dataGrid1.TableStyles[0].GridColumnStyles[1].Width = 75;
                dataGrid1.TableStyles[0].GridColumnStyles[2].Width = 55;
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            if (textBox1.Text.Equals(""))
            {
                MessageBox.Show("部品IDが入力されていませ");
            }
            else
            {
                partId = textBox1.Text;
                //サーバーに接続
                string connstr = "userid=user1;password=user1;database=trace_db;Host=192.168.0.14";
                MySqlConnection conn = new MySqlConnection(connstr);
                conn.Open();

                //データを格納するテーブルを作成 
                DataTable dt = new DataTable();

                //SQL文と接続情報を指定し、データアダプタを作成
                string sqlMsg = "select trace_tbl.process,loc_tbl.name,trace_tbl.date from (trace_tbl inner join loc_tbl on trace_tbl.locId=loc_tbl.locId) left join struct_tbl on trace_tbl.itemId=struct_tbl.itemId where struct_tbl.partId='" + partId + "'";
                MySqlDataAdapter da = new MySqlDataAdapter(sqlMsg, conn);

                //データ取得 
                da.Fill(dt);

                //データ表示
                dataGrid2.DataSource = dt;

                //新しいDataGridTableStyleの作成
                DataGridTableStyle ts = new DataGridTableStyle();

                //DataGridTableStyleをDataGridに追加する
                //DataGridColumnStyleを追加せずにDataGridTableStyleを追加すると、
                //DataGridColumnStyleオブジェクトのコレクションが自動的に作成される
                dataGrid2.TableStyles.Add(ts);

                //列"Column1"の幅を20にする
                dataGrid2.TableStyles[0].GridColumnStyles[0].Width = 20;
                dataGrid2.TableStyles[0].GridColumnStyles[1].Width = 120;
                dataGrid2.TableStyles[0].GridColumnStyles[2].Width = 50;
            }
        }
    }
}